#
# spec file for package signon-ui
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           signon-ui
Version:        0.15
Release:        3.5
Summary:        Single Sign On UI
License:        GPL-3.0
Group:          System/GUI/Other
Url:            https://launchpad.net/signon-ui
Source:         signon-ui-%{version}.tar.bz2
BuildRequires:  libaccounts-qt5-devel
BuildRequires:  libsignon-qt5-devel
BuildRequires:  signon-plugins-devel
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libproxy-1.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)

%description
This package contains the user interface for the signond Single Sign On service.

%prep
%setup -q 

# Fix libdir
sed -i 's/\/lib/\/%{_lib}/g' common-installs-config.pri

%build
qmake-qt5 \
  PREFIX=%{_prefix} \
  LIBDIR=%{_libdir} \
  QMAKE_CXXFLAGS="%{optflags}"

make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/signon-ui
%{_bindir}/signon-ui-unittest
%{_bindir}/tst_inactivity_timer
%{_datadir}/dbus-1/services/com.canonical.indicators.webcredentials.service
%{_datadir}/dbus-1/services/com.nokia.singlesignonui.service

%changelog
* Sat Feb 22 2014 tittiatcoke@gmail.com
- Initial package
